Bug 523980 - Update from 1.0.3-1.el5 to 1.2.0-1.el5 leaves orphaned files in the system
Summary: Update from 1.0.3-1.el5 to 1.2.0-1.el5 leaves orphaned files in the system
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm
Version: 5.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Florian Festi
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060
TreeView+ depends on / blocked
 
Reported: 2009-09-17 13:40 UTC by Tomas Smetana
Modified: 2011-08-17 13:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-14 15:35:42 UTC


Attachments (Terms of Use)

Description Tomas Smetana 2009-09-17 13:40:52 UTC
Description of problem:
When updating RHEL-5.3 to RHEL-5.4 the fipscheck is updated to the new version which is spilt into more packages.  After the update there is still the /bin/fipscheck binary not owned by any package.  Moreover the /bin precedes /usr/bin in $PATH in the default settings.

Version-Release number of selected component (if applicable):
1.0.3-1.el5, 1.2.0-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Change the yum config in 5.3 to point to 5.4 repositories (as if updating from 5.3 to 5.4)
2. yum update fipscheck
3. ls /bin/fipscheck
4. rpm -qf /bin/fipscheck
  
Actual results:
file /bin/fipscheck is not owned by any package

Expected results:
no /bin/fipscheck at all, the new binary is installed in /usr/bin/fipscheck

Additional info:
I have tested this only with the x86_64 arch and the old (1.0.3-1.el5) package has been installed in both the variants: i386 and x86_64.

Comment 1 Tomas Mraz 2009-09-17 13:51:31 UTC
That's bad, but it seems like rpm deficiency when handling colored files on upgrades?

Comment 3 RHEL Product and Program Management 2009-11-06 18:52:57 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 8 RHEL Product and Program Management 2010-08-09 18:50:09 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 16 Phil Knirsch 2011-04-14 15:37:06 UTC
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat has reviewed this request for our next release and a fix is scheduled to be released for Red Hat Enterprise Linux 6 Update 1:

https://bugzilla.redhat.com/show_bug.cgi?id=680261


Note You need to log in before you can comment on or make changes to this bug.